Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Interface WebBrowserListener

All Superinterfaces:
  java.util.EventListener

public interface WebBrowserListener
extends java.util.EventListener

The listener interface for receiving WebBrowser events. The class that is interested in processing a WebBrowser event implements this interface. The object created with that class is registered with a WebBrowser component, using the `addWebBrowserListener` method. When the WebBrowser event occurs, that object's corresponding method is invoked.

See Also:
  `WebBrowserEvent`, `WebBrowser`

Method Summary
`void` | `downloadCompleted(WebBrowserEvent event)` Invoked when a download operation finishes, is halted, or fails.
`void` | `downloadError(WebBrowserEvent event)` Invoked when an error occurs during a download operation.
`void` | `downloadProgress(WebBrowserEvent event)` Invoked when the progress of a download operation is updated.
`void` | `downloadStarted(WebBrowserEvent event)` Invoked when a download operation is beginning.

Method Detail

### downloadStarted

    void downloadStarted(WebBrowserEvent event)

  Invoked when a download operation is beginning.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadCompleted

    void downloadCompleted(WebBrowserEvent event)

  Invoked when a download operation finishes, is halted, or fails.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadProgress

    void downloadProgress(WebBrowserEvent event)

  Invoked when the progress of a download operation is updated.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadError

    void downloadError(WebBrowserEvent event)

  Invoked when an error occurs during a download operation.

  Parameters:
    `event` - the WebBrowserEvent fired.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.